package com.bonus.sgzb.base.service.impl;

import com.bonus.sgzb.base.domain.MaTypeHisNum;
import com.bonus.sgzb.base.mapper.MaTypeHisNumMapper;
import com.bonus.sgzb.base.service.MaTypeHisNumService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MaTypeHisNumServiceImpl implements MaTypeHisNumService {


    @Autowired
    private MaTypeHisNumMapper maTypeHisNumMapper;
    @Override
    public List<MaTypeHisNum> getTypeHisNum(MaTypeHisNum maTypeHisNum) {
        return maTypeHisNumMapper.getTypeHisNum(maTypeHisNum);
    }

    @Override
    public int typeHisNumAdd(MaTypeHisNum maTypeHisNum) {
        return maTypeHisNumMapper.typeHisNumAdd(maTypeHisNum);
    }

    @Override
    public int updateTypeHisNum(MaTypeHisNum maTypeHisNum) {
        return maTypeHisNumMapper.updateTypeHisNum(maTypeHisNum);
    }

    @Override
    public int remove(Long[] typeIds) {
        return maTypeHisNumMapper.remove(typeIds);
    }
}
